Subject: Questions/Comments on kerberos-referrals-01.txt

From: Kevin Coffman <[email-masked]>
Date: Mon, 08 Oct 2001 12:02:47 -0400

In section 6.2:

Should this be "Service Referrals" rather than "Server Referrals"?  And 
references to server principal be changed to service principal?

I'm confused by the statement that "The primary problem is that the KDC 
must return a referral ticket rather than an error message."  Why is 
this so?

Later it states, "In order to facilitate cross-realm interoperability, 
a client SHOULD NOT send short names in TGS requests to the KDC."  I 
think this should either be changed to "MUST NOT", or there should be 
some discussion in the text on what the KDC is expected to do if it 
receives a short name for which it has no idea where to issue a 
referral.  Keep in mind this should be an interoperable solution, not 
targeted at a specific implementation.

Thanks,
Kevin